﻿body {
    padding-top: 50px;
    padding-bottom: 20px;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select,
textarea {
    max-width: 280px;
}



/* tree paint styles*/
ul.tree li {
    list-style-type: none;
    position: relative;
}

    ul.tree li ul {
        display: none;
    }

    ul.tree li.open > ul {
        display: block;
    }

    ul.tree li a {
        color: black;
        text-decoration: none;
    }

        ul.tree li a:before {
            height: 1em;
            padding: 0 .1em;
            font-size: .8em;
            display: block;
            position: absolute;
            left: -1.3em;
            top: .2em;
        }

    ul.tree li > a:not(:last-child):before {
        content: '+';
    }

    ul.tree li.open > a:not(:last-child):before {
        content: '-';
    }

.tree,
.tree ul {
    margin: 0 0 0 1em; /* indentation */
    padding: 0;
    list-style: none;
    color: #369;
    position: relative;
}

    .tree ul {
        margin-left: .5em
    }
        /* (indentation/2) */

        .tree:before,
        .tree ul:before {
            content: "";
            display: block;
            width: 0;
            position: absolute;
            top: 0;
            bottom: 0;
            left: 0;
            border-left: 1px solid;
        }

    .tree li {
        margin: 0;
        padding: 0 1.5em; /* indentation + .5em */
        line-height: 2em; /* default list item's `line-height` */
        font-weight: bold;
        position: relative;
    }

        .tree li:before {
            content: "";
            display: block;
            width: 10px; /* same with indentation */
            height: 0;
            border-top: 1px solid;
            margin-top: -1px; /* border top width */
            position: absolute;
            top: 1em; /* (line-height/2) */
            left: 0;
        }

        .tree li:last-child:before {
            background: white; /* same with body background */
            height: auto;
            top: 1em; /* (line-height/2) */
            bottom: 0;
        }
